com.genesyslab.wfm7.API.service.config720

## Class CfgTimeOffType

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config720.CfgTimeOffType

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgTimeOffType
      extends java.lang.Object
      implements java.io.Serializable

  Time Off Type information.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private long` | `timestamp` A timestamp value -- marks time point when Object information was obtained
    `private boolean` | `wmHasLimit` Has Limits? (true/false)
    `private java.lang.String` | `wmName` Time Off Type Name
    `private boolean` | `wmPaid` Is Time Off paid? (true/false)
    `private java.lang.String` | `wmShortName` Time Off Type Short Name
    `private int` | `wmSiteId` Site ID, identifies `CfgSite` object
    `private int` | `wmTimeOffTypeId` Time Off Type ID
    `private int` | `wmTradeRule` Trading Rule (`ECfgTradeRule`)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgTimeOffType()`
    `CfgTimeOffType(int wmTimeOffTypeId, int wmSiteId, java.lang.String wmName, java.lang.String wmShortName, boolean wmPaid, int wmTradeRule, boolean wmHasLimit, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `long` | `getTimestamp()` Gets the timestamp value for this CfgTimeOffType.
    `java.lang.String` | `getWmName()` Gets the wmName value for this CfgTimeOffType.
    `java.lang.String` | `getWmShortName()` Gets the wmShortName value for this CfgTimeOffType.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this CfgTimeOffType.
    `int` | `getWmTimeOffTypeId()` Gets the wmTimeOffTypeId value for this CfgTimeOffType.
    `int` | `getWmTradeRule()` Gets the wmTradeRule value for this CfgTimeOffType.
    `int` | `hashCode()`
    `boolean` | `isWmHasLimit()` Gets the wmHasLimit value for this CfgTimeOffType.
    `boolean` | `isWmPaid()` Gets the wmPaid value for this CfgTimeOffType.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgTimeOffType.
    `void` | `setWmHasLimit(boolean wmHasLimit)` Sets the wmHasLimit value for this CfgTimeOffType.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this CfgTimeOffType.
    `void` | `setWmPaid(boolean wmPaid)` Sets the wmPaid value for this CfgTimeOffType.
    `void` | `setWmShortName(java.lang.String wmShortName)` Sets the wmShortName value for this CfgTimeOffType.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this CfgTimeOffType.
    `void` | `setWmTimeOffTypeId(int wmTimeOffTypeId)` Sets the wmTimeOffTypeId value for this CfgTimeOffType.
    `void` | `setWmTradeRule(int wmTradeRule)` Sets the wmTradeRule value for this CfgTimeOffType.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmTimeOffTypeId

          private int wmTimeOffTypeId

      Time Off Type ID

    - #### wmSiteId

          private int wmSiteId

      Site ID, identifies `CfgSite` object

    - #### wmName

          private java.lang.String wmName

      Time Off Type Name

    - #### wmShortName

          private java.lang.String wmShortName

      Time Off Type Short Name

    - #### wmPaid

          private boolean wmPaid

      Is Time Off paid? (true/false)

    - #### wmTradeRule

          private int wmTradeRule

      Trading Rule (`ECfgTradeRule`)

    - #### wmHasLimit

          private boolean wmHasLimit

      Has Limits? (true/false)

    - #### timestamp

          private long timestamp

      A timestamp value -- marks time point when Object information was obtained

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgTimeOffType

          public CfgTimeOffType()

    - #### CfgTimeOffType

          public CfgTimeOffType(int wmTimeOffTypeId,
                        int wmSiteId,
                        java.lang.String wmName,
                        java.lang.String wmShortName,
                        boolean wmPaid,
                        int wmTradeRule,
                        boolean wmHasLimit,
                        long timestamp)

  - ### Method Detail

    - #### getWmTimeOffTypeId

          public int getWmTimeOffTypeId()

      Gets the wmTimeOffTypeId value for this CfgTimeOffType.
      Returns:
        wmTimeOffTypeId

    - #### setWmTimeOffTypeId

          public void setWmTimeOffTypeId(int wmTimeOffTypeId)

      Sets the wmTimeOffTypeId value for this CfgTimeOffType.
      Parameters:
        `wmTimeOffTypeId` -

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this CfgTimeOffType.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this CfgTimeOffType.
      Parameters:
        `wmSiteId` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this CfgTimeOffType.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this CfgTimeOffType.
      Parameters:
        `wmName` -

    - #### getWmShortName

          public java.lang.String getWmShortName()

      Gets the wmShortName value for this CfgTimeOffType.
      Returns:
        wmShortName

    - #### setWmShortName

          public void setWmShortName(java.lang.String wmShortName)

      Sets the wmShortName value for this CfgTimeOffType.
      Parameters:
        `wmShortName` -

    - #### isWmPaid

          public boolean isWmPaid()

      Gets the wmPaid value for this CfgTimeOffType.
      Returns:
        wmPaid

    - #### setWmPaid

          public void setWmPaid(boolean wmPaid)

      Sets the wmPaid value for this CfgTimeOffType.
      Parameters:
        `wmPaid` -

    - #### getWmTradeRule

          public int getWmTradeRule()

      Gets the wmTradeRule value for this CfgTimeOffType.
      Returns:
        wmTradeRule

    - #### setWmTradeRule

          public void setWmTradeRule(int wmTradeRule)

      Sets the wmTradeRule value for this CfgTimeOffType.
      Parameters:
        `wmTradeRule` -

    - #### isWmHasLimit

          public boolean isWmHasLimit()

      Gets the wmHasLimit value for this CfgTimeOffType.
      Returns:
        wmHasLimit

    - #### setWmHasLimit

          public void setWmHasLimit(boolean wmHasLimit)

      Sets the wmHasLimit value for this CfgTimeOffType.
      Parameters:
        `wmHasLimit` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgTimeOffType.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgTimeOffType.
      Parameters:
        `timestamp` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.